<div class="row">

    <div class="col-md-8">

        <br />



        <div class="tab-content">

            <div role="tabpanel" class="tab-pane active" id="Dados">

 

                <div class="form-group curso-info">

                    <label for="rg">Escolha o Curso</label>

                    <div class="input-group">

                        <input type="text"  class="form-control dados-aluno"  id="curso" onkeypress="return OnEnter(event);" placeholder="Digite o nome do Curso">

                        <div class="input-group-addon"><i class="glyphicon glyphicon-search"></i></div>

                    </div>



                </div>

                  

                <form action="<?php echo current_url() ?>" method="post">



                    <select name="curso" style="display: none;" class="form-control"></select>

                    <input type="hidden"  class="form-control dados-aluno"  value="<?php echo $id ?>" name="ht" id="ht">
                    <br />
                    <div class="form-group">

                        <button type="submit" id="btn-usar-bonus" style="display: none;" class="btn btn-success">Usar Bonus</button>

                     </div>
                </form>

            </div>

        </div>

    </div>



</div></div>









<script>

    $("#curso").blur(function () {

        var termo = $(this).val();

        if (termo != undefined) {

            if (termo.length >= 3) {



                $.ajax({
                    url: "<?php echo base_url(); ?>buscar_curso_ajax/" + encodeURI(termo),
                    type: "GET",
                    crossDomain: true,
                    success: function (e) {

                        if (e == null) {

                            alert("Não temos o curso de " + termo + ". Digite outra palavra.");

                            return false;

                        }

                        if (e.length != 0) {

                            $('[name="curso"]').html('');

                            for (x in e) {

                                $('[name="curso"]').append('<option value="' + e[x].id_curso + '">' + e[x].nome + '</option>');

                            }

                            $('[name="curso"]').css('display', 'block');
                            $('#btn-usar-bonus').css('display', 'block');

                        } else {

                            alert("Não temos o curso de " + termo + ". Digite outra palavra.");

                        }

                    },
                    fail: function () {

                        alert("Não temos o curso de " + termo + ". Digite outra palavra.");

                    }

                });

            }

        }

    });

    function OnEnter(evt) {
        var key_code = evt.keyCode ? evt.keyCode :
                evt.charCode ? evt.charCode :
                evt.which ? evt.which : void 0;
        if (key_code == 13) {
            var termo =  $("#curso").val();

            if (termo != undefined) {

                if (termo.length >= 3) {

                    $.ajax({
                        url: "<?php echo base_url(); ?>buscar_curso_ajax/" + encodeURI(termo),
                        type: "GET",
                        crossDomain: true,
                        success: function (e) {

                            if (e == null) {

                                alert("Não temos o curso de " + termo + ". Digite outra palavra.");

                                return false;

                            }

                            if (e.length != 0) {

                                $('[name="curso"]').html('');

                                for (x in e) {

                                    $('[name="curso"]').append('<option value="' + e[x].id_curso + '">' + e[x].nome + '</option>');

                                }

                                $('[name="curso"]').css('display', 'block');
                                $('#btn-usar-bonus').css('display', 'block');

                            } else {

                                alert("Não temos o curso de " + termo + ". Digite outra palavra.");

                            }

                        },
                        fail: function () {

                            alert("Não temos o curso de " + termo + ". Digite outra palavra.");

                        }

                    });

                }

            }
        }
    }




</script>

